.include "hdr.asm"

.section ".rodata" superfree

textchr: .incbin "text.chr"
sizeof_textchr: .dw sizeof_textchr - textchr

annivchr: .incbin "anniv.chr"
sizeof_annivchr: .dw sizeof_annivchr - annivchr

titlechr: .incbin "title.chr"
sizeof_titlechr: .dw sizeof_titlechr - titlechr

titlenam: .incbin "title.nam"
sizeof_titlenam: .dw sizeof_titlenam - titlenam

descchr: .incbin "desc.chr"
sizeof_descchr: .dw sizeof_descchr - descchr

descnam: .incbin "desc.nam"
sizeof_descnam: .dw sizeof_descnam - descnam

trildr: .incbin "trildr.bin"
sizeof_trildr: .dw sizeof_trildr - trildr

apuzero: .incbin "apuzero.bin"
sizeof_apuzero: .dw sizeof_apuzero - apuzero

sounds:
	.dw sound_15th - sounds_bin, sound_15th - sounds_bin
	.dw sound_accept - sounds_bin, sound_accept - sounds_bin
	.dw sound_bad - sounds_bin, sound_bad - sounds_bin
	.dw sound_fall - sounds_bin, sound_fall - sounds_bin
	.dw sound_gameover - sounds_bin, sound_gameover - sounds_bin
	.dw sound_goodstart - sounds_bin, sound_goodstart - sounds_bin
	.dw sound_kaboom - sounds_bin, sound_kaboom - sounds_bin
	.dw sound_objective - sounds_bin, sound_objective - sounds_bin
	.dw sound_sadstart - sounds_bin, sound_sadstart - sounds_bin + 960/16*9
	.dw sound_type - sounds_bin, sound_type - sounds_bin
	.dw sound_succeed - sounds_bin, sound_succeed - sounds_bin
sizeof_sounds: .dw sizeof_sounds - sounds
sizeof_15th: .dw sound_accept - sound_15th

.ends

.section ".rodata.sounds" superfree
sounds_bin:
sound_15th: .incbin "sounds/se_maoudamashii_onepoint05.brr"
sound_accept: .incbin "sounds/button68.brr"
sound_bad: .incbin "sounds/button49.brr"
sound_fall: .incbin "sounds/fall02.brr"
sound_gameover: .incbin "sounds/se_maoudamashii_instruments_bass11.brr"
sound_goodstart: .incbin "sounds/orch-hit01.brr"
sound_kaboom: .incbin "sounds/m-burst03.brr"
sound_objective: .incbin "sounds/taiko03.brr"
sound_sadstart: .incbin "sounds/se_maoudamashii_chime08.brr"
sound_type: .incbin "sounds/button45.brr"
sound_succeed: .incbin "sounds/dondonpafupafu1.brr"
sizeof_sounds_bin: .dw sizeof_sounds_bin - sounds_bin
.ends
